Package org.codehaus.groovy.groovydoc

# Interface GroovyDoc

All Superinterfaces:
  `Comparable<GroovyDoc>`

All Known Subinterfaces:
  `GroovyClassDoc`, `GroovyConstructorDoc`, `GroovyExecutableMemberDoc`, `GroovyFieldDoc`, `GroovyMemberDoc`, `GroovyMethodDoc`, `GroovyPackageDoc`, `GroovyProgramElementDoc`, `GroovyRootDoc`

All Known Implementing Classes:
  `ArrayClassDocWrapper`, `ExternalGroovyClassDoc`, `SimpleGroovyAbstractableElementDoc`, `SimpleGroovyClassDoc`, `SimpleGroovyConstructorDoc`, `SimpleGroovyDoc`, `SimpleGroovyExecutableMemberDoc`, `SimpleGroovyFieldDoc`, `SimpleGroovyMemberDoc`, `SimpleGroovyMethodDoc`, `SimpleGroovyPackageDoc`, `SimpleGroovyProgramElementDoc`, `SimpleGroovyRootDoc`

public interface GroovyDoc extends Comparable<GroovyDoc>
Base contract for documented program elements exposed by Groovydoc.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `commentText()`
  Returns the processed comment text for this element.
  `String`
  `firstSentenceCommentText()`
  Returns the first sentence of the processed comment text.
  `String`
  `getRawCommentText()`
  Returns the raw documentation comment for this element.
  `boolean`
  `isAnnotationType()`
  Indicates whether this element represents an annotation type.
  `boolean`
  `isAnnotationTypeElement()`
  Indicates whether this element represents an annotation type member.
  `boolean`
  `isClass()`
  Indicates whether this element represents a class.
  `boolean`
  `isConstructor()`
  Indicates whether this element represents a constructor.
  `boolean`
  `isDeprecated()`
  Indicates whether this element is marked as deprecated.
  `boolean`
  `isEnum()`
  Indicates whether this element represents an enum type.
  `boolean`
  `isEnumConstant()`
  Indicates whether this element represents an enum constant.
  `boolean`
  `isError()`
  Indicates whether this element represents an error type.
  `boolean`
  `isException()`
  Indicates whether this element represents an exception type.
  `boolean`
  `isField()`
  Indicates whether this element represents a field.
  `boolean`
  `isIncluded()`
  Indicates whether this element is included in the generated output.
  `boolean`
  `isInterface()`
  Indicates whether this element represents an interface.
  `boolean`
  `isMethod()`
  Indicates whether this element represents a method.
  `boolean`
  `isOrdinaryClass()`
  Indicates whether this element represents an ordinary class.
  `boolean`
  `isRecord()`
  Indicates whether this element represents a record type.
  `String`
  `name()`
  Returns the simple name of this documented element.
  `void`
  `setRawCommentText(String arg0)`
  Replaces the raw documentation comment for this element.

  ### Methods inherited from interface java.lang.Comparable

  `compareTo`

- ## Method Details

  - ### commentText

    String commentText()
    Returns the processed comment text for this element.
    Returns:
      the rendered comment text

  - ### getRawCommentText

    String getRawCommentText()
    Returns the raw documentation comment for this element.
    Returns:
      the raw comment text

  - ### isAnnotationType

    boolean isAnnotationType()
    Indicates whether this element represents an annotation type.
    Returns:
      `true` if this element is an annotation type

  - ### isAnnotationTypeElement

    boolean isAnnotationTypeElement()
    Indicates whether this element represents an annotation type member.
    Returns:
      `true` if this element is an annotation type element

  - ### isClass

    boolean isClass()
    Indicates whether this element represents a class.
    Returns:
      `true` if this element is a class

  - ### isConstructor

    boolean isConstructor()
    Indicates whether this element represents a constructor.
    Returns:
      `true` if this element is a constructor

  - ### isDeprecated

    boolean isDeprecated()
    Indicates whether this element is marked as deprecated.
    Returns:
      `true` if this element is deprecated

  - ### isEnum

    boolean isEnum()
    Indicates whether this element represents an enum type.
    Returns:
      `true` if this element is an enum

  - ### isRecord

    boolean isRecord()
    Indicates whether this element represents a record type.
    Returns:
      `true` if this element is a record

  - ### isEnumConstant

    boolean isEnumConstant()
    Indicates whether this element represents an enum constant.
    Returns:
      `true` if this element is an enum constant

  - ### isError

    boolean isError()
    Indicates whether this element represents an error type.
    Returns:
      `true` if this element is an error

  - ### isException

    boolean isException()
    Indicates whether this element represents an exception type.
    Returns:
      `true` if this element is an exception

  - ### isField

    boolean isField()
    Indicates whether this element represents a field.
    Returns:
      `true` if this element is a field

  - ### isIncluded

    boolean isIncluded()
    Indicates whether this element is included in the generated output.
    Returns:
      `true` if this element is included

  - ### isInterface

    boolean isInterface()
    Indicates whether this element represents an interface.
    Returns:
      `true` if this element is an interface

  - ### isMethod

    boolean isMethod()
    Indicates whether this element represents a method.
    Returns:
      `true` if this element is a method

  - ### isOrdinaryClass

    boolean isOrdinaryClass()
    Indicates whether this element represents an ordinary class.
    Returns:
      `true` if this element is an ordinary class

  - ### name

    String name()
    Returns the simple name of this documented element.
    Returns:
      the element name

  - ### setRawCommentText

    void setRawCommentText(String arg0)
    Replaces the raw documentation comment for this element.
    Parameters:
      `arg0` - the raw comment text to store

  - ### firstSentenceCommentText

    String firstSentenceCommentText()
    Returns the first sentence of the processed comment text.
    Returns:
      the first sentence summary